%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

%define VER 6.7.8
%define Patchlevel 10

%define real_name ImageMagick

%define Quantum_Depth 8

Summary: An X application for displaying and manipulating images.
Name: ImageMagick-Q%{Quantum_Depth}
Version: %{VER}.%{Patchlevel}
Release: 1
License: ImageMagick
Group: Applications/Multimedia
Source0: ftp://ftp.ImageMagick.org/pub/%{real_name}/%{real_name}-%{VER}-%{Patchlevel}.tar.bz2
Patch0: %{real_name}-%{VER}-%{Patchlevel}-aix.patch
URL: http://www.imagemagick.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: findutils, perl >= 5.8.8
BuildRequires: bzip2 >= 1.0.2-4
BuildRequires: fontconfig-devel >= 2.8.0-1
BuildRequires: freetype2-devel >= 2.3.12-1
BuildRequires: jasper-devel >= 1.900.1-2
BuildRequires: jbigkit-devel >= 2.0-2
BuildRequires: lcms-devel >= 1.19-1
BuildRequires: libjpeg-devel >= 6b-7
BuildRequires: libpng-devel >= 1.2.44-1
BuildRequires: libtiff-devel >= 3.9.4-2
BuildRequires: libwebp-devel >= 0.1.3-1
BuildRequires: libxml2-devel >= 2.6.32-2
BuildRequires: pkg-config
BuildRequires: xz-devel >= 4.999.9-1.1.beta.20091007git
BuildRequires: zlib-devel >= 1.2.3-3

Requires: bzip2 >= 1.0.2-4
Requires: fontconfig >= 2.8.0-1
Requires: freetype2 >= 2.3.12-1
Requires: jasper >= 1.900.1-2
Requires: jbigkit-libs >= 2.0-2
Requires: lcms >= 1.19-1
Requires: libjpeg >= 6b-7
Requires: libpng >= 1.2.44-1
Requires: libtiff >= 3.9.4-2
Requires: libwebp >= 0.1.3-1
Requires: libxml2 >= 2.6.32-2
Requires: xz-libs >= 4.999.9-1.1.beta.20091007git
Requires: zlib >= 1.2.3-3

Provides: %{real_name} = %{version}-%{release}

%description
ImageMagick(TM) is an image display and manipulation tool for the X
Window System. ImageMagick can read and write JPEG, TIFF, PNM, GIF,
and Photo CD image formats. It can resize, rotate, sharpen, color
reduce, or add special effects to an image, and when finished you can
either save the completed work in the original format or a different
one. ImageMagick also includes command line programs for creating
animated or transparent .gifs, creating composite images, creating
thumbnail images, and more.

ImageMagick is one of your choices if you need a program to manipulate
and display images. If you want to develop your own applications
which use ImageMagick code or APIs, you need to install
ImageMagick-devel as well.


%package devel
Summary: Static libraries and header files for ImageMagick app development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: bzip2 >= 1.0.2-4
Requires: fontconfig-devel >= 2.8.0-1
Requires: freetype2-devel >= 2.3.12-1
Requires: jasper-devel >= 1.900.1-2
Requires: jbigkit-devel >= 2.0-2
Requires: lcms-devel >= 1.19-1
Requires: libjpeg-devel >= 6b-7
Requires: libpng-devel >= 1.2.44-1
Requires: libtiff-devel >= 3.9.4-2
Requires: libwebp-devel >= 0.1.3-1
Requires: libxml2-devel >= 2.6.32-2
Requires: pkg-config
Requires: xz-devel >= 4.999.9-1.1.beta.20091007git
Requires: zlib-devel >= 1.2.3-3

Provides: %{real_name}-devel = %{version}-%{release}

%description devel
ImageMagick-devel contains the static libraries and header files you'll
need to develop ImageMagick applications. ImageMagick is an image
manipulation program.

If you want to create applications that will use ImageMagick code or
APIs, you need to install ImageMagick-devel as well as ImageMagick.
You do not need to install it if you just want to use ImageMagick,
however.


%package c++
Summary: ImageMagick Magick++ library (C++ bindings)
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

Provides: %{real_name}-c++ = %{version}-%{release}

%description c++
This package contains the Magick++ library, a C++ binding to the ImageMagick
graphics manipulation library.

Install ImageMagick-c++ if you want to use any applications that use Magick++.


%package c++-devel
Summary: C++ bindings for the ImageMagick library
Group: Development/Libraries
Requires: %{name}-c++ = %{version}
Requires: %{name}-devel = %{version}

Provides: %{real_name}-c++-devel = %{version}-%{release}

%description c++-devel
ImageMagick-devel contains the static libraries and header files you'll
need to develop ImageMagick applications using the Magick++ C++ bindings.
ImageMagick is an image manipulation program.

If you want to create applications that will use Magick++ code
or APIs, you'll need to install ImageMagick-c++-devel, ImageMagick-devel and
ImageMagick.
You don't need to install it if you just want to use ImageMagick, or if you
want to develop/compile applications using the ImageMagick C interface,
however.


%package perl
Summary: ImageMagick perl bindings
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires: perl >= 5.8.8

Provides: %{real_name}-perl = %{version}-%{release}

%description perl
Perl bindings to ImageMagick.

Install ImageMagick-perl if you want to use any perl scripts that use
ImageMagick.


%prep
%setup -q -n %{real_name}-%{VER}-%{Patchlevel}
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC=xlc_r
export CXX=xlC_r
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --with-quantum-depth=%{Quantum_Depth} \
    --without-modules \
    --with-magick_plus_plus \
    --with-threads \
    --without-perl \
    --with-gs-font-dir=%{_datadir}/fonts/default/ghostscript \
    --without-dps

make %{?_smp_mflags}

cd PerlMagick
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mv -f ${RPM_BUILD_ROOT}%{_includedir}/%{real_name}/* ${RPM_BUILD_ROOT}%{_includedir}/
rmdir ${RPM_BUILD_ROOT}%{_includedir}/%{real_name}

cd PerlMagick
make DESTDIR=${RPM_BUILD_ROOT} install
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc QuickStart.txt ChangeLog Platforms.txt
%doc README.txt LICENSE NOTICE
%{_bindir}/[a-z]*
%{_libdir}/libMagickCore.a
%{_libdir}/libMagickWand.a
%{_sysconfdir}/ImageMagick*
%{_mandir}/man1/ImageMagick.*
%{_mandir}/man1/[a-z]*
%{_datadir}/ImageMagick*
%{_datadir}/doc/ImageMagick*
/usr/bin/[a-z]*
/usr/lib/libMagickCore.a
/usr/lib/libMagickWand.a


%files devel
%defattr(-,root,system)
%{_bindir}/Magick-config
%{_bindir}/MagickCore-config
%{_bindir}/MagickWand-config
%{_bindir}/Wand-config
%{_libdir}/libMagickCore.la
%{_libdir}/libMagickWand.la
%{_libdir}/pkgconfig/ImageMagick.pc
%{_libdir}/pkgconfig/MagickCore.pc
%{_libdir}/pkgconfig/MagickWand.pc
%{_libdir}/pkgconfig/Wand.pc
%{_includedir}/magick
%{_includedir}/wand
%{_mandir}/man1/Magick-config.*
%{_mandir}/man1/MagickCore-config.*
%{_mandir}/man1/MagickWand-config.*
%{_mandir}/man1/Wand-config.*
/usr/bin/Magick-config
/usr/bin/MagickCore-config
/usr/bin/MagickWand-config
/usr/bin/Wand-config
/usr/lib/libMagickCore.la
/usr/lib/libMagickWand.la
/usr/include/magick
/usr/include/wand


%files c++
%defattr(-,root,system)
%{_libdir}/libMagick++.a
/usr/lib/libMagick++.a


%files c++-devel
%defattr(-,root,system)
%{_bindir}/Magick++-config
%{_includedir}/Magick++
%{_includedir}/Magick++.h
%{_libdir}/libMagick++.la
%{_libdir}/pkgconfig/ImageMagick++.pc
%{_libdir}/pkgconfig/Magick++.pc
%{_mandir}/man1/Magick++-config.*
/usr/bin/Magick++-config
/usr/include/Magick++
/usr/include/Magick++.h
/usr/lib/libMagick++.la


%files perl
%defattr(-,root,system)
%{perl_vendorarch}/*
%{_mandir}/man3/Image::Magick.*


%changelog
* Tue Aug 21 2012 Michael Perzl <michael@perzl.org> - 6.7.8.10-2
- added missing additional dependency on libwebp

* Thu Aug 16 2012 Michael Perzl <michael@perzl.org> - 6.7.8.10-1
- updated to version 6.7.8.10

* Mon Jul 02 2012 Michael Perzl <michael@perzl.org> - 6.7.7.10-1
- updated to version 6.7.7.10

* Sun May 20 2012 Michael Perzl <michael@perzl.org> - 6.7.6.10-1
- updated to version 6.7.6.10

* Mon Mar 12 2012 Michael Perzl <michael@perzl.org> - 6.7.5.10-1
- updated to version 6.7.5.10

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 6.7.4.10-1
- updated to version 6.7.4.10

* Tue Dec 06 2011 Michael Perzl <michael@perzl.org> - 6.7.3.10-1
- updated to version 6.7.3.10

* Fri Nov 04 2011 Michael Perzl <michael@perzl.org> - 6.7.2.10-1
- updated to version 6.7.2.10

* Thu Sep 22 2011 Michael Perzl <michael@perzl.org> - 6.7.1.10-1
- updated to version 6.7.1.10

* Wed Jun 15 2011 Michael Perzl <michael@perzl.org> - 6.6.9.10-1
- updated to version 6.6.9.10

* Tue Mar 29 2011 Michael Perzl <michael@perzl.org> - 6.6.8.10-1
- updated to version 6.6.8.10

* Mon Mar 14 2011 Michael Perzl <michael@perzl.org> - 6.6.7.10-1
- updated to version 6.6.7.10

* Mon Jan 31 2011 Michael Perzl <michael@perzl.org> - 6.6.6.10-2
- fixed a missing shared library dependency

* Wed Jan 19 2011 Michael Perzl <michael@perzl.org> - 6.6.6.10-1
- updated to version 6.6.6.10

* Wed Jan 19 2011 Michael Perzl <michael@perzl.org> - 6.5.9.10-1
- updated to version 6.5.9.10

* Tue Nov 17 2009 Michael Perzl <michael@perzl.org> - 6.5.7.8-1
- updated to version 6.5.7.8

* Sun Jul 12 2009 Michael Perzl <michael@perzl.org> - 6.5.4.2-1
- updated to version 6.5.4.2

* Mon Sep 15 2008 Michael Perzl <michael@perzl.org> - 6.4.3.6-1
- updated to version 6.4.3.6

* Tue Aug 19 2008 Michael Perzl <michael@perzl.org> - 6.4.2.10-1
- updated to version 6.4.2.10

* Tue Jun 24 2008 Michael Perzl <michael@perzl.org> - 6.4.1.10-1
- updated to version 6.4.1.10

* Wed Apr 23 2008 Michael Perzl <michael@perzl.org> - 6.4.0.9-1
- updated to version 6.4.0.9

* Wed Apr 02 2008 Michael Perzl <michael@perzl.org> - 6.4.0.3-1
- first version for AIX V5.1 and higher
